<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'suggestion',

    /*
     * Package.
     */
    'package'   => 'suggestion',

    /*
     * Modules.
     */
    'modules'   => ['suggestions'],

    
    'suggestions'       => [
        'model' => [
            'model'                 => \Suggestion\Suggestion\Models\Suggestions::class,
            'table'                 => 'suggestions',
            'presenter'             => \Suggestion\Suggestion\Repositories\Presenter\SuggestionsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['name',  'description',  'executions_amount',  'min_participants',  'max_participants',  'cost',  'available_dates',  'relevant_classes',  'preferred_time',  'created_by',  'verified',  'upvotes',  'downvotes',  'user_id',  'user_type',  'slug'],
            'translatables'         => [],
            'upload_folder'         => 'suggestion/suggestions',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Suggestion',
            'package'   => 'Suggestion',
            'module'    => 'Suggestions',
        ],

    ],
];
