Lavalite package that provides suggestion management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `suggestion/suggestion`.

    "suggestion/suggestion": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Suggestion\Suggestion\Providers\SuggestionServiceProvider::class,

And also add it to alias

    'Suggestion'  => Suggestion\Suggestion\Facades\Suggestion::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Suggestion\\SuggestionTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Suggestion\Suggestion\Providers\SuggestionServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Suggestion\Suggestion\Providers\SuggestionServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Suggestion\Suggestion\Providers\SuggestionServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/suggestion/{modulename}

**User**

    http://path-to-route-folder/user/suggestion/{modulename}

**Public**

    http://path-to-route-folder/suggestions


### API endpoints

**List**

    http://path-to-route-folder/api/user/suggestion/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/suggestion/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/suggestion/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/suggestion/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/suggestion/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/suggestion/{modulename}/{slug}
    METHOD: GET